summaryrefslogtreecommitdiffstats
path: root/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail
diff options
context:
space:
mode:
authorMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
committerMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
commit5f8de423f190bbb79a62f804151bc24824fa32d8 (patch)
tree10027f336435511475e392454359edea8e25895d /media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail
parent49ee0794b5d912db1f95dce6eb52d781dc210db5 (diff)
downloadUXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.gz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.lz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.xz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.zip
Add m-esr52 at 52.6.0
Diffstat (limited to 'media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail')
-rw-r--r--media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/file.c6
-rwxr-xr-xmedia/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/postbuild-fail.sh6
-rw-r--r--media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/test.gyp38
-rwxr-xr-xmedia/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/touch-dynamic.sh7
-rwxr-xr-xmedia/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/touch-static.sh7
5 files changed, 64 insertions, 0 deletions
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/file.c b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/file.c
new file mode 100644
index 000000000..91695b10c
--- /dev/null
+++ b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/file.c
@@ -0,0 +1,6 @@
+// Copyright (c) 2011 Google Inc. All rights reserved.
+// Use of this source code is governed by a BSD-style license that can be
+// found in the LICENSE file.
+
+// That's right, this is copyrighted.
+void f() {}
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/postbuild-fail.sh b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/postbuild-fail.sh
new file mode 100755
index 000000000..dc1a60d98
--- /dev/null
+++ b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/postbuild-fail.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/bash
+# Copyright (c) 2011 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+exit 1
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/test.gyp b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/test.gyp
new file mode 100644
index 000000000..e63283db0
--- /dev/null
+++ b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/test.gyp
@@ -0,0 +1,38 @@
+# Copyright (c) 2011 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+{
+ 'targets': [
+ {
+ 'target_name': 'nonbundle',
+ 'type': 'static_library',
+ 'sources': [ 'file.c', ],
+ 'postbuilds': [
+ {
+ 'postbuild_name': 'Postbuild Fail',
+ 'action': [ './postbuild-fail.sh', ],
+ },
+ {
+ 'postbuild_name': 'Runs after failing postbuild',
+ 'action': [ './touch-static.sh', ],
+ },
+ ],
+ },
+ {
+ 'target_name': 'bundle',
+ 'type': 'shared_library',
+ 'mac_bundle': 1,
+ 'sources': [ 'file.c', ],
+ 'postbuilds': [
+ {
+ 'postbuild_name': 'Postbuild Fail',
+ 'action': [ './postbuild-fail.sh', ],
+ },
+ {
+ 'postbuild_name': 'Runs after failing postbuild',
+ 'action': [ './touch-dynamic.sh', ],
+ },
+ ],
+ },
+ ],
+}
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/touch-dynamic.sh b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/touch-dynamic.sh
new file mode 100755
index 000000000..a388a6410
--- /dev/null
+++ b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/touch-dynamic.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+# Copyright (c) 2011 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+touch "${BUILT_PRODUCTS_DIR}/dynamic_touch"
diff --git a/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/touch-static.sh b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/touch-static.sh
new file mode 100755
index 000000000..97ecaa686
--- /dev/null
+++ b/media/webrtc/trunk/tools/gyp/test/mac/postbuild-fail/touch-static.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+# Copyright (c) 2011 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+touch "${BUILT_PRODUCTS_DIR}/static_touch"